from setuptools import setup, find_packages
import DiskAnalyzer as package

setup(
    name='DiskAnalyzer',
    version=package.__version__,
    py_modules=[],
    packages=find_packages(include=['DiskAnalyzer']),
    install_requires=[],
    scripts=[],
    author="Maurice Lambert",
    author_email="mauricelambert434@gmail.com",
    maintainer="Maurice Lambert",
    maintainer_email="mauricelambert434@gmail.com",
    description='This package implements multiples libraries and tools to parse, analyze and extract informations from disk on the live system.',
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/mauricelambert/DiskAnalyzer",
    project_urls={
        "Github": "https://github.com/mauricelambert/DiskAnalyzer",
        "Documentation": "https://mauricelambert.github.io/info/python/security/DiskAnalyzer.html",
        "Python Executable": "https://mauricelambert.github.io/info/python/security/DiskAnalyzer.pyz",
        "Windows Executable": "https://mauricelambert.github.io/info/python/security/DiskAnalyzer.exe",
    },
    download_url="https://mauricelambert.github.io/info/python/security/DiskAnalyzer.pyz",
    include_package_data=True,
    classifiers=[
        "Topic :: System",
        "Topic :: Security",
        "Environment :: Console",
        "Topic :: System :: Shells",
        'Operating System :: POSIX',
        "Natural Language :: English",
        "Programming Language :: Python",
        "Intended Audience :: Developers",
        "Topic :: System :: System Shells",
        'Operating System :: MacOS :: MacOS X',
        "Programming Language :: Python :: 3.8",
        'Operating System :: Microsoft :: Windows',
        "Topic :: System :: Systems Administration",
        "Intended Audience :: System Administrators",
        "Development Status :: 5 - Production/Stable",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
    ],
    keywords=['MFT', 'DiskAnalysis', 'Forensic', 'VBR', 'MBR', 'GPT', 'Windows', 'DFIR', 'IncidentResponse'],
    platforms=['Windows', 'Linux', "MacOS"],
    license="GPL-3.0 License",
    entry_points = {
        'console_scripts': [
            'DiskAnalyzer = DiskAnalyzer.DiskAnalyzer:main',
            'NtfsAnalyzer = DiskAnalyzer.NtfsAnalyzer:main',
            'MftAnalyzer  = DiskAnalyzer.MftAnalyzer:main',
        ],
    },
    python_requires='>=3.8',
)
